Name:        commit-mono-nerd-fonts
Version:     3.2.1
Release:     %autorelease
Summary:     Iconic font aggregator, collection, & patcher.

BuildArch:   noarch
License:     OFL-1.1
URL:         https://github.com/ryanoasis/nerd-fonts
Source0:     %{url}/releases/download/v%{version}/CommitMono.tar.xz

%description
Nerd Fonts is a project that patches developer targeted fonts with a high
number of glyphs (icons). Specifically to add a high number of extra glyphs
from popular 'iconic fonts' such as Font Awesome, Devicons, Octicons, and
others.

%prep
%autosetup -c -v

%build
# Nothing to do here

%install

install -Dm644 CommitMonoNerdFont-Bold.otf %{buildroot}%{_datadir}/fonts/%{name}/CommitMonoNerdFont-Bold.otf
install -Dm644 CommitMonoNerdFont-BoldItalic.otf %{buildroot}%{_datadir}/fonts/%{name}/CommitMonoNerdFont-BoldItalic.otf
install -Dm644 CommitMonoNerdFont-Italic.otf %{buildroot}%{_datadir}/fonts/%{name}/CommitMonoNerdFont-Italic.otf
install -Dm644 CommitMonoNerdFont-Regular.otf %{buildroot}%{_datadir}/fonts/%{name}/CommitMonoNerdFont-Regular.otf
install -Dm644 CommitMonoNerdFontMono-Bold.otf %{buildroot}%{_datadir}/fonts/%{name}/CommitMonoNerdFontMono-Bold.otf
install -Dm644 CommitMonoNerdFontMono-BoldItalic.otf %{buildroot}%{_datadir}/fonts/%{name}/CommitMonoNerdFontMono-BoldItalic.otf
install -Dm644 CommitMonoNerdFontMono-Italic.otf %{buildroot}%{_datadir}/fonts/%{name}/CommitMonoNerdFontMono-Italic.otf
install -Dm644 CommitMonoNerdFontMono-Regular.otf %{buildroot}%{_datadir}/fonts/%{name}/CommitMonoNerdFontMono-Regular.otf
install -Dm644 CommitMonoNerdFontPropo-Bold.otf %{buildroot}%{_datadir}/fonts/%{name}/CommitMonoNerdFontPropo-Bold.otf
install -Dm644 CommitMonoNerdFontPropo-BoldItalic.otf %{buildroot}%{_datadir}/fonts/%{name}/CommitMonoNerdFontPropo-BoldItalic.otf
install -Dm644 CommitMonoNerdFontPropo-Italic.otf %{buildroot}%{_datadir}/fonts/%{name}/CommitMonoNerdFontPropo-Italic.otf
install -Dm644 CommitMonoNerdFontPropo-Regular.otf %{buildroot}%{_datadir}/fonts/%{name}/CommitMonoNerdFontPropo-Regular.otf

%files

%{_datadir}/fonts/%{name}/CommitMonoNerdFont-Bold.otf
%{_datadir}/fonts/%{name}/CommitMonoNerdFont-BoldItalic.otf
%{_datadir}/fonts/%{name}/CommitMonoNerdFont-Italic.otf
%{_datadir}/fonts/%{name}/CommitMonoNerdFont-Regular.otf
%{_datadir}/fonts/%{name}/CommitMonoNerdFontMono-Bold.otf
%{_datadir}/fonts/%{name}/CommitMonoNerdFontMono-BoldItalic.otf
%{_datadir}/fonts/%{name}/CommitMonoNerdFontMono-Italic.otf
%{_datadir}/fonts/%{name}/CommitMonoNerdFontMono-Regular.otf
%{_datadir}/fonts/%{name}/CommitMonoNerdFontPropo-Bold.otf
%{_datadir}/fonts/%{name}/CommitMonoNerdFontPropo-BoldItalic.otf
%{_datadir}/fonts/%{name}/CommitMonoNerdFontPropo-Italic.otf
%{_datadir}/fonts/%{name}/CommitMonoNerdFontPropo-Regular.otf
%license LICENSE
%doc README.md

%changelog
* Sat Jul 20 2024 Kyle Bloom <kylejbloom@gmail.com> - 3.2.1-1
- Updated to version v3.2.1
